package com.blamejared.compat.betterwithmods.base.blockrecipes;

import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.function.Function;
import net.minecraft.item.ItemStack;
import java.util.List;
import com.google.common.collect.Lists;
import betterwithmods.common.registry.block.managers.CraftingManagerBlock;
import com.blamejared.mtlib.utils.BaseListAddition;
import betterwithmods.common.registry.block.recipe.BlockRecipe;

public class BlockRecipeAdd<T extends BlockRecipe> extends BaseListAddition<T>
{
    public BlockRecipeAdd(final String name, final CraftingManagerBlock<T> recipes, final T recipe) {
        super(name, recipes.getRecipes(), (List)Lists.newArrayList(recipe));
    }
    
    protected String getRecipeInfo(final T recipe) {
        return recipe.getOutputs().stream().map(ItemStack::func_82833_r).collect((Collector<? super Object, ?, String>)Collectors.joining(","));
    }
}
